## typefind typefind — Finds the media type of a stream |

## Synopsis

                        GstTypeFindElement;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTypeFindElement

## Properties

      "caps"                     GstCaps*              : Read
      "maximum"                  guint                 : Read / Write
      "minimum"                  guint                 : Read / Write
      "force-caps"               GstCaps*              : Read / Write

## Signals

      "have-type"                                      : Run First

## Description

Determines the media-type of a stream. It applies typefind functions in the order of their rank. One the type has been deteted it sets its src pad caps to the found media type.

Plugins can register custom typefinders by using GstTypeFindFactory.

## Details

### GstTypeFindElement

    typedef struct _GstTypeFindElement GstTypeFindElement;

Opaque GstTypeFindElement data structure

## Property Details

### The `"caps"` property

      "caps"                     GstCaps*              : Read

detected capabilities in stream.

### The `"maximum"` property

      "maximum"                  guint                 : Read / Write

probability to stop typefinding (deprecated; non-functional).

Allowed values: [1,100]

Default value: 100

### The `"minimum"` property

      "minimum"                  guint                 : Read / Write

minimum probability required to accept caps.

Allowed values: [1,100]

Default value: 1

### The `"force-caps"` property

      "force-caps"               GstCaps*              : Read / Write

force caps without doing a typefind.

## Signal Details

### The `"have-type"` signal

    void                user_function                      (GstTypeFindElement *typefind,
                                                            guint               probability,
                                                            GstCaps            *caps,
                                                            gpointer            user_data)        : Run First

This signal gets emitted when the type and its probability has been found.

`typefind` : | the typefind instance
`probability` : | the probability of the type found
`caps` : | the caps of the type found
`user_data` : | user data set when the signal handler was connected.